#include <iostream>
#include <algorithm>
#include <utility>
#include <vector>
#include <queue>
#include <map>
#include <set>
#include <cmath>

using namespace std;

#define ll long long
#define ld long double

ll pref[505050]={0};

int main()
{
    cin.tie(0);
    cout.tie(0);
    ios::sync_with_stdio(false);

    int test;
    cin>>test;

    while(test--)
    {
        ll n,q;
        cin>>n>>q;
        ll x;
        for(int i=1;i<=n;i++)
        {
            cin>>x;
            pref[i]=pref[i-1]+x;
        }
        ll ans=0;
        for(int i=1;i<=n;i++)
        {
            for(int j=i;j<=n;j++)
            {
                x=pref[j]-pref[i-1];
                if((100-q)*x>=q*(j-i+1-x))
                {
                    ans++;
                }
            }
        }
        cout<<ans<<' ';
    }

    return 0;
}
